if (!window.PlayerFramework)
    window.PlayerFramework = {};

PlayerFramework.debug = true;

PlayerFramework.loadDebugFiles = function(readyCallback)
{
	var headElement = document.getElementsByTagName("head")[0];
	var loadedScriptsCount = 0;
	var scriptFiles =
	[
		"PlayerFramework.js",
		"Class.js",
		"Object.js",
		"Plugin.js",
		"ModulePlugin.js",
		"Player.js",
		"MediaPlugin.js",
		"VideoMediaPlugin.js",
		"VideoElementMediaPluginBase.js",
		"SilverlightMediaPluginBase.js",
		"VideoElementMediaPlugin.js",
		"SilverlightMediaPlugin.js",
		"StaticContentMediaPlugin.js",
		"HyperlinkMediaPlugin.js",
		"PlaylistPlugin.js",
		"MediaRssPlaylistPlugin.js",
		"TrackDataProviderPlugin.js",
		"TrackPlugin.js",
		"TimelineTrackPlugin.js",
		"ChapterTrackPlugin.js",
		"CaptionTrackPlugin.js",
		"ControlPlugin.js",
		"ControlStripPlugin.js",
		"ThrobberControlPlugin.js",
		"ErrorMessageControlPlugin.js",
		"PlaylistControlPlugin.js",
		"TimelineTrackControlPlugin.js",
		"ChapterTrackControlPlugin.js",
		"TrackSelectorControlPlugin.js",
		"TextTrack.js",
		"TextTrackCue.js",
		"TextTrackCueList.js",
		"TtmlParser.js"
	];

	var styleFiles =
	[
		"playerframework.css",
		"control-strip.css",
		"throbber.css",
		"error-message.css",
		"chapter-cues.css",
		"timeline-cues.css",
		"caption-cues.css",
		"track-selector.css",
		"playlist.css"
	];
	
	var onScriptLoaded = function()
	{
		loadedScriptsCount++;

		if (loadedScriptsCount === scriptFiles.length)                                         
			readyCallback();
		else
			loadScript(scriptFiles[loadedScriptsCount]);
	};

	var loadScript = function(file)
	{
		var scriptElement = document.createElement("script");
		scriptElement.setAttribute("src", "../playerframework/js/" + file);        
		scriptElement.onload = onScriptLoaded;
		scriptElement.onreadystatechange = function()
		{
			if(this.readyState && (this.readyState === 'complete' || this.readyState === 'loaded'))
			{
				this.onload = null;
				this.onreadystatechange = null;
				onScriptLoaded();
			}      
		};

		headElement.appendChild(scriptElement);
	};

	var loadStyle = function(file)
	{
		var linkElement = document.createElement("link");
		linkElement.setAttribute("rel", "stylesheet");
		linkElement.setAttribute("type", "text/css");
		linkElement.setAttribute("href", "../playerframework/css/" + file);
		headElement.appendChild(linkElement);
	};

	for(var i = 0; i < styleFiles.length; i++)
	{
		loadStyle(styleFiles[i]);
	}

	loadScript(scriptFiles[0]);
};